#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cpphs
version: 1.19
id: cpphs-1.19-324a3e7fe49b05be30923dbe6d1490dc
key: cpphs_3i7zodua2ZlD85nekXJoiu
license: LGPL
copyright: 2004-2015, Malcolm Wallace
maintainer: Malcolm Wallace <Malcolm.Wallace@me.com>
homepage: http://projects.haskell.org/cpphs/
synopsis: A liberalised re-implementation of cpp, the C pre-processor.
description:
    Cpphs is a re-implementation of the C pre-processor that is both
    more compatible with Haskell, and itself written in Haskell so
    that it can be distributed with compilers.
    .
    This version of the C pre-processor is pretty-much
    feature-complete and compatible with traditional (K&R)
    pre-processors.  Additional features include: a plain-text mode;
    an option to unlit literate code files; and an option to turn
    off macro-expansion.
category: Development
author: Malcolm Wallace <Malcolm.Wallace@me.com>
exposed: True
exposed-modules:
    Language.Preprocessor.Cpphs Language.Preprocessor.Unlit
hidden-modules: Language.Preprocessor.Cpphs.CppIfdef
                Language.Preprocessor.Cpphs.HashDefine
                Language.Preprocessor.Cpphs.MacroPass
                Language.Preprocessor.Cpphs.Options
                Language.Preprocessor.Cpphs.Position
                Language.Preprocessor.Cpphs.ReadFirst
                Language.Preprocessor.Cpphs.RunCpphs
                Language.Preprocessor.Cpphs.SymTab
                Language.Preprocessor.Cpphs.Tokenise
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cpphs-1.19
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cpphs-1.19
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cpphs-1.19
hs-libraries: HScpphs-1.19-3i7zodua2ZlD85nekXJoiu
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    directory-1.2.2.0-4f9c4bef00d863c7033002ae78281cda
    old-locale-1.0.0.7-2f3f4311e12e7847c2af472c26151237
    old-time-1.1.0.3-81c58f7b590af5471e2e611eb5a1183c
    polyparse-1.11-60530cfdd9a577b75a00674d894decbf
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cpphs-1.19/html/cpphs.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cpphs-1.19/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
